import request from '@/utils/request'

// 查询任务列表
export function listTask(query) {
  return request({
    url: '/bst/task/list',
    method: 'get',
    params: query
  })
}

// 查询任务详细
export function getTask(id) {
  return request({
    url: '/bst/task/' + id,
    method: 'get'
  })
}

// 新增任务
export function addTask(data) {
  return request({
    url: '/bst/task',
    method: 'post',
    data: data
  })
}

// 修改任务
export function updateTask(data) {
  return request({
    url: '/bst/task',
    method: 'put',
    data: data
  })
}

// 删除任务
export function delTask(id) {
  return request({
    url: '/bst/task/' + id,
    method: 'delete'
  })
}

// 开始任务
export function startTask(data) {
  return request({
    url: '/bst/task/start',
    method: 'put',
    data: data
  })
}

// 提交任务
export function submitTask(data) {
  return request({
    url: '/bst/task/submit', 
    method: 'put',
    data: data
  })
}

// 取消任务
export function cancelTask(data) {
  return request({
    url: '/bst/task/cancel',
    method: 'put',
    data: data
  })
}